using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Windows.Forms;

namespace WindowsFormsApplication1
{
    public partial class Form1 : Form
    {
        public Form1()
        {
            InitializeComponent();
        }

        private void button1_Click(object sender, EventArgs e)
        {
            Mobham x = new Mobham();
            Mobham y = new Mobham();
            x.n = 5;
            x.i = 1;
            y.n = 6;
            y.i = 3;
            Mobham z = new Mobham();
            z = x + y;
            MessageBox.Show(z.ToString());
        }
    }
    class Mobham
    {
        public double n, i;
        public static  Mobham operator +(Mobham m1, Mobham m2)
        {
            Mobham m=new Mobham();
            m.n = m1.n + m2.n;
            m.i = m1.i + m2.i;
            return m;
        }
        public override  string  ToString()
        {
            return n.ToString() + "*" + i.ToString() + "i";
        }
    }
}
